<div class="product-details">

        <?php $hiderevs=get_theme_mod('olam_hide_reviews'); 
          if ($hiderevs==0) { ?>

        <div class="product-review-avg">
          <?php
            if ( class_exists( 'EDD_Reviews' ) ) {
              $starRating = edd_reviews()->average_rating(false);
              $starRating=(round($starRating*2))*10;
              $totalRating = edd_reviews()->count_reviews();
            ?>
            <div title="<?php echo esc_attr($starRating/20);?> <?php esc_html_e("out of 5 based on ","olam"); echo esc_attr($totalRating);?> <?php esc_html_e("reviews","olam");?>" class="download-rating">
            <div class="wrap-rating listing">
              <div class="rating">
                <span class="fa fa-star" data-vote="1"></span>
                <span class="fa fa-star" data-vote="2"></span>
                <span class="fa fa-star" data-vote="3"></span>
                <span class="fa fa-star" data-vote="4"></span>
                <span class="fa fa-star" data-vote="5"></span>          
              </div>
              <div class="rated" style="width:<?php echo esc_html($starRating);?>%">
                <div class="rating">
                  <span class="fa fa-star" data-vote="1"></span>
                  <span class="fa fa-star" data-vote="2"></span>
                  <span class="fa fa-star" data-vote="3"></span>
                  <span class="fa fa-star" data-vote="4"></span>
                  <span class="fa fa-star" data-vote="5"></span>          
                </div>
              </div>
              <span class="clearfix"></span>
            </div>
            <!-- <span class="ratingcount">(<?php echo esc_html($totalRating); ?>)</span> -->
          </div>
          <?php } ?>

        </div>  
        <?php } ?>

        <div class="product-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
        <div class="product-price">
          <?php //check if variable price
          $defaultPriceID=edd_get_default_variable_price( get_the_ID() );
          if (edd_has_variable_prices(get_the_ID()) ) { 
            $lowp = edd_get_lowest_price_option( get_the_ID() ); 
            $highp = edd_get_highest_price_option( get_the_ID() );
            ?>
            <span class="var-price edd_price"><?php echo edd_currency_filter(edd_format_amount($lowp)); ?> - <?php echo edd_currency_filter(edd_format_amount($highp)); ?></span>
          <?php } elseif (edd_is_free_download(get_the_ID()) ) { ?>
                <span class="free-price edd_price"><?php esc_html_e("Free","olam"); ?></span>
              <?php } else { ?>
              <span class="norm-price edd_price"><?php edd_price(get_the_ID(),true,$defaultPriceID); ?></span>          
          <?php } ?>            
        </div>
            <?php if ( has_excerpt() ) : // Only show custom excerpts not autoexcerpts 
              $shortexcerpt = wp_trim_words(get_the_excerpt(), 30); ?>
              <p class="olam-custom-excerpt"><?php echo esc_html($shortexcerpt); ?></p>
            <?php endif; ?>

        <div class="details-bottom">
          <div class="product-options">
            <a href="<?php the_permalink(); ?>" title="<?php esc_attr_e('View','olam'); ?> "><i class="demo-icons icon-search"></i></a>                                            
            <?php if(!olam_check_if_added_to_cart(get_the_ID())){
              $eddOptionAddtocart=edd_get_option( 'add_to_cart_text' );
              $addCartText=(isset($eddOptionAddtocart) && $eddOptionAddtocart  != '') ?$eddOptionAddtocart:esc_html__("Add to cart","olam");
              if(edd_has_variable_prices(get_the_ID())){
                $downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID,'edd_options[price_id]'=>$defaultPriceID);
              }
              else{
                $downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID);
              }
              ?>  
              <a href="<?php echo esc_url(add_query_arg($downloadArray,edd_get_checkout_uri())); ?>" title="<?php esc_attr_e('Buy Now','olam'); ?>"><i class="demo-icons icon-download"></i></a>
              <?php
              $purchase_link_args = array(
                'download_id' => get_the_ID(),
                'price' => false,
                'direct' => false,
                'style' => 'plain',
                'class' => 'demo-icons icon-cart cart-icon-btn',
                'text' => '',
              );
              $purchase_link_args = apply_filters( 'edd_rp_purchase_link_args', $purchase_link_args );
              echo edd_get_purchase_link( $purchase_link_args );
              } else { ?>
              <a class="cart-added" href="<?php echo edd_get_checkout_uri(); ?>" title="<?php esc_attr_e('Checkout','olam'); ?> "><i class="fa fa-check"></i></a>    
            <?php } ?>
          </div>

            <?php $olamct=get_theme_mod('olam_show_cats');
              if(isset($olamct)&& $olamct==1 ){
              $cat = wp_get_post_terms(get_the_ID(),'download_category');
              if(count($cat)>0){
              $mlink = get_term_link($cat[0]->slug,'download_category');
              ?><div class="product-author"><a href="<?php echo esc_url($mlink); ?>"><?php echo esc_html($cat[0]->name); ?></a></div><?php
              } }
              else {
              ?> <div class="product-author"><span class="authorby"><?php esc_html_e("by","olam"); ?> </span><a href="<?php echo esc_url(olam_edd_fes_author_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a></div><?php
              }
            ?>
          </div>

        </div>